<?php
    if ( ! class_exists( 'Redux' ) ) {
        return;
    }


    $opt_name = "opus_options";

    $theme = wp_get_theme();

    $args = array(
        'opt_name'             => $opt_name,
        'display_name'         => $theme->get( 'Name' ),
        'display_version'      => $theme->get( 'Version' ),
        'menu_type'            => 'menu',
        'allow_sub_menu'       => true,
        'menu_title'           => esc_html__( 'Theme Options', 'opus' ),
        'page_title'           => esc_html__( 'Theme Options', 'opus' ),
        'admin_bar'            => false,
        'dev_mode'             => false,
        'update_notice'        => true,
        'customizer'           => true,
        'page_priority'        => null,
        'page_parent'          => 'themes.php',
        'page_permissions'     => 'manage_options',
        'menu_icon'            => '',
        'page_icon'            => 'icon-themes',
        'page_slug'            => '',
        'save_defaults'        => true,
        'default_show'         => false,
        'default_mark'         => '',
        'show_import_export'   => true,
        'show_options_object'  => false,
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        'output_tag'           => true,
        'settings_api' 		   => TRUE,
        'compiler' 			   => TRUE,
        'global_variable' 	   => "financa_options",
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
		'footer_credit'     => ''
        )
    );

	Redux::setArgs( $opt_name, $args );

function opus_color_options($sections) {
        $sections[] = array(
			'title'            => esc_html__( 'General', 'opus' ),
			'id'               => 'opus-general',
			'icon'             => 'el el-home'
    	);

		$sections[] = array(
        'title'      => esc_html__( 'Color Options', 'opus' ),
        'id'         => 'opus-colors-main',
        'subsection' => true,
        'icon'       => 'el el-brush',
       	'fields'     => array(
            array(
                'id'       		=> 'opus-primary-color',
                'type'     		=> 'color',
 				'transparent' 	=> false,
                'title'    		=> esc_html__( 'Primary Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'This is your theme main color.', 'opus' ),
				'default'		=> '#4c15bf',
				'output'		=> array(
					'background-color' 		=> '.op-image::before,.btn.primary-btn,.financa-testimonial-carousel .slick-track .testimonial-item .testimonial-image .testimonial-image-container,.wpcf7 .wpcf7-submit,.financa-services-carousel .slick-dots li.slick-active button, .financa-services-carousel .slick-dots li:hover button,.team-member-item.style-2 .team-member-info:after,.navigation.pagination .nav-links span,.navigation.pagination .nav-links a:hover,.searchform #searchsubmit,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-previous a,.op-blog-list .op-single-blog .post-tags-container ul li a,.comments-area .reply .comment-reply-link,.elementor-tab-title.elementor-active,.elementor-widget-progress .elementor-progress-wrapper.progress-info .elementor-progress-bar:before,.tagcloud a,.op-blog-list .post-comments-container .comment-respond .form-submit input,.sidebar .widget ul li:hover::before,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-next a,.op-menu-bar ul li a:before, .op-menu-bar ul li .sub-menu li a:hover::after, .icon-bar, .btn.primary-btn.no-hover:hover, .op-menu-bar ul li .sub-menu li.current-menu-item > a:hover:after, .navigation.pagination .nav-links span.current, #op-loader-wrapper .op-loader-section',	

					'border-color' 			=> '.team-member-item.style-1 .team-member-info,.navigation.pagination .nav-links span,.navigation.pagination .nav-links a, .navbar-light button.navbar-toggler',

					'stroke' 				=> '.primary-heading.primary-color .header-svg svg,.sidebar .widget .header-svg,.secondary-heading.primary-color .header-svg svg,.comments-area .header-svg',

					'color' 				=> '.primary-color,.financa-pricing-item h3,body a,.post-content ul.post-meta li a,.post-content .page-title a:hover,.financa-testimonial-carousel .slick-track .testimonial-item .testimonial-name,.financa-testimonial-carousel .slick-track .testimonial-item .testimonial-content::before,.team-member-item.style-1 .team-member-info .member-social-links li a:hover,.navigation.pagination .nav-links a,.sidebar .widget ul li a:hover,.comments-area .comments-title,.comments-area .comment-reply-title,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .post-meta-cat:before,.op-blog-list .op-single-blog .op-single-post-header ul li.user a::before,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .post-meta-cat a,.op-blog-list .op-single-blog .op-single-post-header ul li.time a::before, .op-menu-bar ul li.current-menu-item > a, .op-menu-bar ul li.current-menu-parent > a, .op-menu-bar ul li .sub-menu li a:hover, .op-menu-bar ul li a:hover, .section-404 i'
				),
				'compiler'		=> array(
					'background-color' 		=> '.op-image::before,.btn.primary-btn,.financa-testimonial-carousel .slick-track .testimonial-item .testimonial-image .testimonial-image-container,.wpcf7 .wpcf7-submit,.financa-services-carousel .slick-dots li.slick-active button, .financa-services-carousel .slick-dots li:hover button,.team-member-item.style-2 .team-member-info:after,.navigation.pagination .nav-links span,.navigation.pagination .nav-links a:hover,.searchform #searchsubmit,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-previous a,.op-blog-list .op-single-blog .post-tags-container ul li a,.comments-area .reply .comment-reply-link,.elementor-tab-title.elementor-active,.elementor-widget-progress .elementor-progress-wrapper.progress-info .elementor-progress-bar:before,.tagcloud a,.op-blog-list .post-comments-container .comment-respond .form-submit input,.sidebar .widget ul li:hover::before,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-next a, .op-menu-bar ul li a:before, .op-menu-bar ul li .sub-menu li a:hover::after, .icon-bar, .btn.primary-btn.no-hover:hover, .op-menu-bar ul li .sub-menu li.current-menu-item > a:hover:after, .navigation.pagination .nav-links span.current, #op-loader-wrapper .op-loader-section',

					'border-color' 			=> '.team-member-item.style-1 .team-member-info,.navigation.pagination .nav-links span,.navigation.pagination .nav-links a, .navbar-light button.navbar-toggler',

					'stroke' 				=> '.primary-heading.primary-color .header-svg svg,.sidebar .widget .header-svg,.secondary-heading.primary-color .header-svg svg',

					'color' 				=> '.primary-color,.financa-pricing-item h3,body a,.post-content ul.post-meta li a,.post-content .page-title a:hover,.financa-testimonial-carousel .slick-track .testimonial-item .testimonial-name,.financa-testimonial-carousel .slick-track .testimonial-item .testimonial-content::before,.team-member-item.style-1 .team-member-info .member-social-links li a:hover,.navigation.pagination .nav-links a,.sidebar .widget ul li a:hover,.comments-area .comments-title,.comments-area .comment-reply-title,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .post-meta-cat:before,.op-blog-list .op-single-blog .op-single-post-header ul li.user a::before,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .post-meta-cat a,.op-blog-list .op-single-blog .op-single-post-header ul li.time a::before,.op-menu-bar ul li.current-menu-item > a, .op-menu-bar ul li.current-menu-parent > a, .op-menu-bar ul li .sub-menu li a:hover, .op-menu-bar ul li a:hover, .section-404 i'
				),			
            ),
			array(
                'id'       		=> 'opus-secondary-color',
                'type'     		=> 'color',
 				'transparent' 	=> false,
                'title'    		=> esc_html__( 'Secondary Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'This is your theme complimentory color.', 'opus' ),
				'default'		=> '#1a1e66',
 				'output'		=> array(
					'background-color' 		=> ' .op-top-bar::before,.op-menu-bar ul li.current-menu-item:after,.btn.secondary-btn,.btn.primary-btn:hover,.wpcf7 .wpcf7-submit:hover,.secondary-background-color.footer,.financa-services-carousel .slick-dots li button,.tagcloud a:hover,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-previous a:hover,.op-blog-list .op-single-blog .post-tags-container ul li a:hover,.comments-area .reply .comment-reply-link:hover,.op-blog-list .post-comments-container .comment-respond .form-submit input:hover,.single-financa_services .menu li:before,li.current-menu-item a:before,.single-financa_services .menu li.current-menu-item a,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-next a:hover, .op-menu-bar ul li .sub-menu li a:after, .op-menu-bar ul li .sub-menu li.current-menu-item > a:after',			
					
					'border-color' 			=> '.single-financa_services .menu,.single-financa_services .menu,.single-financa_services .menu, .single-financa_services .menu, .section-404 i',
					
					'color' 				=> '.post-content .page-title a,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .post-meta-cat a:hover,.op-blog-list .op-single-blog .op-single-post-header ul li a:hover, .op-blog-list .op-single-blog .op-single-post-header ul li a:hover::before,.team-member-item.style-1 .team-member-info .member-meta .member-name a:hover,.post-content ul.post-meta li a:hover,.post-content ul.post-meta li a:hover::before, .op-menu-bar ul li .sub-menu li a'
				),
				'compiler'		=> array(
					'background-color' 		=> '.op-top-bar::before,.op-menu-bar ul li.current-menu-item:after,.btn.secondary-btn,.btn.primary-btn:hover,.wpcf7 .wpcf7-submit:hover,.secondary-background-color.footer,.financa-services-carousel .slick-dots li button,.tagcloud a:hover,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-previous a:hover,.op-blog-list .op-single-blog .post-tags-container ul li a:hover,.comments-area .reply .comment-reply-link:hover,.op-blog-list .post-comments-container .comment-respond .form-submit input:hover,.single-financa_services .menu li:before,li.current-menu-item a:before,.single-financa_services .menu li.current-menu-item a,.op-blog-list .op-single-blog .op-single-content-post-thumbnail .nav-links .nav-next a:hover, .op-menu-bar ul li .sub-menu li a:after, .op-menu-bar ul li .sub-menu li.current-menu-item > a:after',			
					
					'border-color' 			=> '.single-financa_services .menu,.single-financa_services .menu, .single-financa_services .menu, .section-404 i',
					
					'color' 				=> '.post-content .page-title a, .op-blog-list .op-single-blog .op-single-content-post-thumbnail .post-meta-cat a:hover,.op-blog-list .op-single-blog .op-single-post-header ul li a:hover,.op-blog-list .op-single-blog .op-single-post-header ul li a:hover::before,.team-member-item.style-1 .team-member-info .member-meta .member-name a:hover,.post-content ul.post-meta li a:hover, .op-menu-bar ul li .sub-menu li a'
				),
			),
			array(
				'id'       => 'opus-pre-loader-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Pre Loader', 'opus'),
				'subtitle' => esc_html__('Select ON to enable Pre Loader On Page Load', 'opus'),
				'default'  => false
			),
		));
        return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_color_options', 5);

function opus_header_options($sections) {
	$sections[] = array(
		'title'            => esc_html__( 'Header', 'opus' ),
		'id'               => 'opus-header-main',
		'icon'             => 'el el-website'
	);

	$sections[] = array(
        'title'            => esc_html__( 'Top Header', 'opus' ),
        'id'               => 'opus-header-top',
        'subsection' => true,
        'icon'             => 'el el-circle-arrow-up',
       	'fields'     => array(
            array(
				'id'       => 'opus-top-header-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Top Header Section', 'opus'),
				'subtitle' => esc_html__('Select ON to enable Top Header section', 'opus'),
				'default'  => true,
			),
			array(
				'id'=>'opus-top-header-left',
				'type' => 'textarea',
				'title' => __('Top Bar Content (HTML)', 'opus'), 
				'description' => __('Allowed Tags: a, strong, i, ul, li', 'opus'),
				'validate' => 'html_custom',
				'default' => 'Call Us: <a class="tel" href="tel:1911462242">1911-462-242</a>',
				'allowed_html' => array(
					'a' => array(
						'href' => array(),
						'title' => array(),
						'class' => array()
					),
					'ul' => array(),
					'li' => array(),
					'strong' => array(),
					'i' => array(
						'class' => array()
					)
				),
				'required' => array('opus-top-header-status','=',true),
			),
		)
	);

	$sections[] = array(
        'title'            => esc_html__( 'Logo', 'opus' ),
        'id'               => 'opus-header',
        'subsection' => true,
        'icon'             => 'el el-screen',
       	'fields'     => array(
            array(
                'id'       => 'opus-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Logo', 'opus' ),
                'compiler' => 'true',
                'subtitle'     => esc_html__( 'Upload Site Logo.', 'opus' ),
				'default'  => array(
        			'url'=>'http://financa.bsmthemes.com/resources/logo.png'
    			),
            ),
		)
	);
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_header_options', 10);

function opus_typography_options($sections) {
	$sections[] = array(
        'title'            => esc_html__( 'Typography', 'opus' ),
        'id'               => 'opus-typography',
        'icon'             => 'el el-font',
       	'fields'     => array(
			array(
				'id'          		=> 'opus-body',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('Body', 'opus'), 
				'font-backup' 		=> false,
				'font-weight' 		=> false,
				'font-style' 		=> false,
				'all_styles'		=> true,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'text-transform' 	=> true,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> false,
				'output'      		=> array('body'),
				'default'     		=> array(
					'font-family' 	=> 'Muli',
				),
				'compiler' 			=> array('body'),
			),
			array(
				'id'          		=> 'opus-headings',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('Headings', 'opus'), 
				'font-backup' 		=> false,
				'font-weight' 		=> false,
				'font-style' 		=> false,
				'all_styles'		=> true,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'text-transform' 	=> true,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> false,
				'output'      		=> array('h1, h2, h3, h4, h5 h6, .op-menu-bar ul li'),
				'default'     		=> array(
					'font-family' 	=> 'Poppins',
				),
				'compiler' 		=> array('h1, h2, h3, h4, h5. h6, .op-menu-bar ul li'),
			)
		)
	);
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_typography_options', 15);

function opus_blog_options($sections) {
	$sections[] = array(
        'title'            => esc_html__( 'Blog', 'opus' ),
        'id'               => 'opus-typography',
        'icon'             => 'el el-blogger',
       	'fields'     => array(
			array(
				'id'       => 'opus-blog-sidebar',
				'type'     => 'select',
				'title'    => esc_html__('Blog Layout', 'opus'), 
				'subtitle'     => esc_html__('Select blog layout.', 'opus'),
				'options'  => array(
					'left-sidebar'  => 'Left Sidebar',
					'right-sidebar' => 'Right Sidebar',
					'full-width' 	=> 'Full Width',
				),
				'default'  => 'right-sidebar',
			),
		)
	);
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_blog_options', 20);

function opus_social_options($sections){
	$sections [] =array(
        'title'            	=> esc_html__( 'Social', 'opus' ),
 		'desc'     			=> esc_html__('Leave Blank to Disable Social Icon.', 'opus'),
        'id'               	=> 'opus-social',
        'icon'             	=> 'el el-facebook',
      	'fields'     => array(
			array(
				'id'       => 'opus-facebook',
				'type'     => 'text',
				'title'    => esc_html__('Facebook', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-twitter',
				'type'     => 'text',
				'title'    => esc_html__('Twitter', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-linkedin',
				'type'     => 'text',
				'title'    => esc_html__('LinkedIn', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-youtube',
				'type'     => 'text',
				'title'    => esc_html__('Youtube', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-google-plus',
				'type'     => 'text',
				'title'    => esc_html__('Google Plus', 'opus'),
				'default'  => '#'
			),
		)
    );
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_social_options', 25);

function opus_footer_options($sections){
	$sections [] =array(
        'title'            => esc_html__( 'Footer', 'opus' ),
        'id'               => 'opus-footer',
        'icon'             => 'el el-arrow-down',
       	'fields'     => array(
            array(
                'id'       		=> 'opus-footer-bg',
                'type'     		=> 'color',
 				'transparent' 	=> false,
               	'output'   		=> array( '.site-title' ),
                'title'    		=> esc_html__( 'Footer Background Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'Select Footer Background Color.', 'opus' ),
				'default'		=> '#1a1e66',
				'compiler'		=> array(
					"background-color" => ".secondary-background-color.footer"
				),
				'output'		=> array(
					"background-color" => ".secondary-background-color.footer"
				),
            ),
			array(
				'id'       => 'opus-footer-widgets',
				'type'     => 'select',
				'title'    => esc_html__('No. of Widget Columns', 'opus'), 
				'subtitle'     => esc_html__('Select the number of widget columns.', 'opus'),
				'options'  => array(
					'1' 	=> 'One',
					'2'  	=> 'Two',
					'3' 	=> 'Three',
					'4' 	=> 'Four'
				),
				'default'  => '4',
			),
			array(
				'id'       => 'opus-footer-widget-width-1',
				'type'     => 'select',
				'title'    => esc_html__('Footer Widget 1 Width', 'opus'), 
				'options'  => array(
					'2' 	=> '2/12',
					'3' 	=> '3/12',
					'4' 	=> '4/12',
					'5' 	=> '5/12',
					'6' 	=> '6/12',
					'7' 	=> '7/12',
					'8' 	=> '8/12',
					'9' 	=> '9/12',
					'10' 	=> '10/12',
					'11' 	=> '11/12',
					'12' 	=> '12/12',
				),
				'default'  => '3',
				'required' 	=> array('opus-footer-widgets', '>=', '1'),
			),
			array(
				'id'       => 'opus-footer-widget-width-2',
				'type'     => 'select',
				'title'    => esc_html__('Footer Widget 2 Width', 'opus'), 
				'options'  => array(
					'2' 	=> '2/12',
					'3' 	=> '3/12',
					'4' 	=> '4/12',
					'5' 	=> '5/12',
					'6' 	=> '6/12',
					'7' 	=> '7/12',
					'8' 	=> '8/12',
					'9' 	=> '9/12',
					'10' 	=> '10/12',
					'11' 	=> '11/12',
					'12' 	=> '12/12',
				),
				'default'  => '3',
				'required' 	=> array('opus-footer-widgets', '>=', '2'),
			),
			array(
				'id'       => 'opus-footer-widget-width-3',
				'type'     => 'select',
				'title'    => esc_html__('Footer Widget 3 Width', 'opus'), 
				'options'  => array(
					'2' 	=> '2/12',
					'3' 	=> '3/12',
					'4' 	=> '4/12',
					'5' 	=> '5/12',
					'6' 	=> '6/12',
					'7' 	=> '7/12',
					'8' 	=> '8/12',
					'9' 	=> '9/12',
					'10' 	=> '10/12',
					'11' 	=> '11/12',
					'12' 	=> '12/12',
				),
				'default'  => '3',
				'required' 	=> array('opus-footer-widgets', '>=', '3'),
			),
			array(
				'id'       => 'opus-footer-widget-width-4',
				'type'     => 'select',
				'title'    => esc_html__('Footer Widget 4 Width', 'opus'), 
				'options'  => array(
					'2' 	=> '2/12',
					'3' 	=> '3/12',
					'4' 	=> '4/12',
					'5' 	=> '5/12',
					'6' 	=> '6/12',
					'7' 	=> '7/12',
					'8' 	=> '8/12',
					'9' 	=> '9/12',
					'10' 	=> '10/12',
					'11' 	=> '11/12',
					'12' 	=> '12/12',
				),
				'default'  => '3',
				'required' 	=> array('opus-footer-widgets', '>=', '4'),
			),
        )
    );
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_footer_options', 35);

function opus_copyrights_options($sections){
	$sections[] = array(
        'title'            => esc_html__( 'Copyrights', 'opus' ),
        'id'               => 'opus-copyrights',
        'icon'             => 'el el-pencil',
       	'fields'     => array(
			array(
				'id'       => 'opus-copyrights-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Copyrights Section', 'opus'),
				'subtitle' => esc_html__('Select ON to enable copyrights section', 'opus'),
				'default'  => true,
			),
			array(
				'id'       => 'opus-copyrights-text',
				'type'     => 'text',
				'title'    => esc_html__('Copyrights Text', 'opus'),
				'subtitle' => esc_html__('This will display under the footer.', 'opus'),
				'default'  => '&copy; Copyrights Financa 2019. All Rights Reserved',
				'required' 	=> array('opus-copyrights-status', '=', true),
			),
			array(
				'id'       => 'opus-social-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Social Links', 'opus'),
				'subtitle' => esc_html__('Select ON to enable social links', 'opus'),
				'default'  => true,
			),
        )
    );
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_copyrights_options', 40);
